Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.oracleappsadapter.appconn
Class OracleappsApplicationConnectionFactory

    java.lang.Object
      DbApplicationConnectionFactoryImpl
          com.stc.connector.oracleappsadapter.appconn.OracleappsApplicationConnectionFactory

public class OracleappsApplicationConnectionFactory
extends DbApplicationConnectionFactoryImpl

A factory class for creating OracleappsApplicationConnection.

See Also:
  Serialized Form

Constructor Summary
`OracleappsApplicationConnectionFactory(javax.sql.DataSource ds)` Creates a new instance of OracleappsApplicationConnectionFactory.
`OracleappsApplicationConnectionFactory(javax.sql.DataSource ds, ConnectionManager cm)` Creates a new instance of DbApplicationConnectionFactory.

Method Summary
`ApplicationConnection` | `getConnection()` Gets the Db Application Connection which represents a connection handle to the underlying Db EIS.
`ApplicationConnection` | `getConnection(java.util.Properties connProps)` Gets the Application Connection which represents a connection handle to the underlying EIS using the connection information in the Properties.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OracleappsApplicationConnectionFactory

    public OracleappsApplicationConnectionFactory(javax.sql.DataSource ds)

  Creates a new instance of OracleappsApplicationConnectionFactory.

  Parameters:
    `ds` - a DataSource instance used for creating a connection.

### OracleappsApplicationConnectionFactory

    public OracleappsApplicationConnectionFactory(javax.sql.DataSource ds,
                                                  ConnectionManager cm)

  Creates a new instance of DbApplicationConnectionFactory.

  Parameters:
    `ds` - the ManagedConnection which created this connection. In database, this is the DataSource.
    `cm` - a ConnectionManager instance.

Method Detail

### getConnection

    public ApplicationConnection getConnection()
                                        throws ApplicationConnectionException

  Gets the Db Application Connection which represents a connection handle to the underlying Db EIS.

  Parameters:
    None.

  Returns:
    A Db Application Connection.
  Throws:
    `ApplicationConnectionException` - upon error.

### getConnection

    public ApplicationConnection getConnection(java.util.Properties connProps)
                                        throws ApplicationConnectionException

  Gets the Application Connection which represents a connection handle to the underlying EIS using the connection information in the Properties.

  Parameters:
    `connProps` - Properties containing connection specific information.
  Returns:
    An Application Connection which represents a connection handle to the EIS.
  Throws:
    `ApplicationConnectionException` - upon error.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2006 by Sun Microsystems, Inc. All Rights Reserved.